Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Authenticate requests, select a team, and understand key permissions.
Authorization: Bearer pxxl_your_key Accept: application/json
Bearer
curl https://server.pxxl.app/api/v3/cli/whoami \ --header "Authorization: Bearer $PXXL_API_KEY"
{ "success": true, "user": { "id": "user_123", "email": "developer@example.com" }, "authMethod": "api_key", "apiKeyId": "key_123", "apiKeyScope": "deploy,storage", "apiKeyPermission": "read_write", "teamId": "team_123" }
GET
/cli/whoami
/cli/stats
teamId?
/cli/usage
deploy
domains
storage
databases
cronjobs
analytics
teams
all
read
read_write
teamId